%define name	j2ssh
%define version	0.2.7
%define release	1jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	An object-oriented Java implementation of the SSH version 2 protocol
License:	LGPL
Url:		http://www.sourceforge.net/projects/sshtools/
Source0:	http://osdn.dl.sourceforge.net/sshtools/j2ssh-0.2.7-src.tar.gz
Group:		Development/Java
Buildarch:	noarch
Requires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-logging
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
J2SSH is an object-oriented Java implementation of the SSH2 protocol.
The original goal of J2SSH was to provide a rich, powerful and
extensible SSH API that would enable developers not just to gain access
to SSH servers but rather to promote the development of entire SSH
client/server frameworks.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
export CLASSPATH=%(build-classpath jakarta-commons-logging)
ant build

export CLASSPATH=%(build-classpath jakarta-commons-logging):\
$PWD/dist/lib/%{name}-core.jar
(cd examples && %javac *.java)

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

(cd dist/lib && for jar in *.jar; do \
jar2=`basename ${jar} .jar`-%{version}.jar
install -m 644 ${jar} $RPM_BUILD_ROOT%{_javadir}/%{name}/${jar2}; done)

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr conf/ $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples/ $RPM_BUILD_ROOT%{_datadir}/%{name}

# script
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

%jpackage_script com.sshtools.j2ssh.transport.publickey.SshKeyGenerator "-Dsshtools.home=%{_datadir}/%{name}" %{nil} log4j:%{name} %{name}-keygen

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc INSTALL LICENSE
# FIXME: Do we want a menu for this?
%attr(0755,root,root) %{_bindir}/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/conf
%{_datadir}/%{name}/conf/*.xml

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/examples

%changelog
* Mon Jan 19 2004 David Walluck <david@anti-microsoft.org> 0:0.2.7-1jpp
- 0.2.7

* Wed Sep 17 2003 David Walluck <david@anti-microsoft.org> 0:0.2.5-2jpp
- 0:0.2.5-1jpp never got put on the ftp server

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:0.1.7-1jpp
- 0.1.7
- no more userguide since the build files are not provided

* Sat Apr 26 2003 David Walluck <david@anti-microsoft.org> 0:0.1.2-0.beta.2jpp
- fix date in %%changelog

* Fri Apr 25 2003 David Walluck <david@anti-microsoft.org> 0:0.1.2-0.beta.1jpp
- release
